require "sketchup.rb"

UI.menu("Plugins").add_item("Print Shortcuts") {
dir = Sketchup.find_support_file("Plugins")
file = File.join(dir, "shortcuts.html")
out = File.open(file, "w")

out.print <<-END
<html>
<head>
<title>Shortcuts</title>
<style>

body {
   font-family: "ariel" sans-serif;
}
.key {
   text-align: right;
   padding-right: 1em;
   padding-left: 1em;
}
.action {
   padding-left: 1em;
   padding-right: 1em;
}
.r { border-right: 1px solid; }

</style>
</head>
<body>
<div align=center>
<table cellspacing=0>
END


cols = 2
res = UI.inputbox(["Columns"], [cols], "Columns")
p res
return unless res
cols = res[0].to_i
return if cols <=  0 
na = []
sc = Sketchup.get_shortcuts
sc.each {|s|
   k, a = s.split("\t")
   na.push a+"|"+k
}
na.sort!
offset = na.length / cols 

0.upto(offset) { |r|
   out.puts "<tr>"
   cols.times {|c|
      i = r  + offset * c + c
      #out.print "<td>(#{r},#{c}):[#{i}]#{na[i]}"
      a, k = na[i].split("|") if na[i]
      cl = (c == cols-1 or cols == 1) ? "" : "r"
      out.print %(<td class="key">#{k}<td class="action #{cl}">#{a})
   }
}

out.puts "</table></div></body></html>\n"
out.close

UI.openURL(file)
}
